Sophos AutoUpdate help

Sophos AutoUpdate

Sophos AutoUpdate is the technology that keeps Sophos products updated on your computer. Using it, you can

  • select a source for updates
  • select an alternative source for updates
  • log updates
  • schedule updates
  • limit the bandwidth used
  • update via a proxy.

Copyright 2004-2006 Sophos Group. All rights reserved. No part of this publication may be reproduced, stored in a retrieval system, or transmitted, in any form or by any means, electronic, mechanical, photocopying, recording or otherwise unless you are either a valid licensee where the documentation can be reproduced in accordance with the licence terms or you otherwise have the prior permission in writing of the copyright owner.

Sophos and Sophos Anti-Virus are registered trademarks of Sophos Plc and Sophos Group. All other product and company names mentioned are trademarks or registered trademarks of their respective owners.


Primary server

In the Primary server tabbed page, you enter the details needed to contact the computer from which Sophos AutoUpdate will usually download updates of Sophos Anti-Virus. These details are available from your administrator.

Note graphic If the options on this page are grayed out, your administrator has already entered the details for you. You cannot change them.

Primary server configuration page

Enter the Address (UNC path or web address) from which Sophos AutoUpdate will usually download updates. If the computer will update directly from Sophos, click the drop-down arrow and select Sophos. Otherwise, type the address. UNC addresses must be in the form \\Servername\Sophos\.

If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

Note graphic If the User name needs to be qualified to indicate the domain, use the form domain\username.
Note graphic For NDS networks, enter an NDS fully distinguished user name in the form [Account]|[Tree]|[Server]. The account needs read and filescan permissions.

If you want to configure the connection settings, click Advanced.

If you access the internet via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.


Sophos AutoUpdate

Secondary server

In the Secondary server tabbed page, you specify the server Sophos AutoUpdate contacts if it cannot contact the primary server, or find the directory that contains updates.

Note graphic Your administrator supplies you with the address and account details you need.

Secondary server configuration page

Enter the Address (UNC path or web address) from which Sophos AutoUpdate will download updates if it cannot contact the primary server. If this address is a Sophos website, click the drop-down arrow and select Sophos. Otherwise, type an address. UNC addresses must be in the form \\Servername\Sophos\.

If necessary, enter the User name for the account that will be used to access the server, and then enter and confirm the Password.

Note graphic If the User name needs to be qualified to indicate the domain, use the form domain\username.
Note graphic For NDS networks, enter an NDS fully distinguished user name in the form [Account]|[Tree]|[Server]. The account needs read and filescan permissions.

If you want to configure the connection settings, click Advanced.

If you access the address via a proxy server, click Proxy Details. Note that some internet service providers require web requests to be sent to a proxy server.


Logging

In the Logging tabbed page, you can enable and configure logging.

Logging configuration page

To keep a log of Sophos AutoUpdate's activity, select Log Sophos AutoUpdate activity.

Specify a size in MB in the Maximum log size field.

In Log level, you can select one of the following levels:

  • Normal offers typical logging information
  • Verbose offers detailed logging information.
Note graphic Verbose logging provides information on many more activities than usual, so the log will grow faster. Use this setting only when problems occur and detailed logging is needed for troubleshooting.


Schedule

In the Schedule tabbed page, you can configure Sophos AutoUpdate to download updated software automatically.

schedule configuration page

If you have a broadband connection to the internet, select Enable automatic updates. Then enter the frequency (in minutes) with which Sophos AutoUpdate will check for updated software. The default is 60 minutes.

Note graphic If the updates are downloaded directly from Sophos, you cannot update more frequently than every 60 minutes.

If you have a dial-up connection, select Check for updates on dial-up. Sophos AutoUpdate will now contact Sophos for updates whenever you connect to the internet.


Advanced settings

In the Advanced settings dialog box, you can limit the bandwidth used for updating. This prevents updating from using all the bandwidth when a computer needs it for other purposes, e.g. downloading email.

Note graphic You open this dialog box from the Primary server or Secondary server configuration pages. You configure the settings separately for primary and secondary server.

Select Limit amount of bandwidth used if you want to ensure that Sophos AutoUpdate can work unobtrusively alongside other applications. Use the slider control to specify the bandwidth in Kbits/second. If you specify more bandwidth than the computer has available, Sophos AutoUpdate will use all that is available.


Proxy details

In the Proxy details dialog box, you can enter details of the proxy server used to access the internet.

Note graphic You open this dialog box from the Primary server or Secondary server configuration pages. You specify the proxy details separately for the primary and secondary server.

To enter the proxy server details, select Access the server via a proxy. Enter the proxy server Address and Port number. Enter a User name and Password that give access to the proxy server.

Note graphic If the User name needs to be qualified to indicate the domain, use the form domain\username.